/*
 * Chip
 *
 * Index
 * - Color
 */

:host {
  box-sizing: border-box;
  display: inline-flex;
  align-items: center;
  padding: 0.125rem 0.5rem;
  font-size: var(--road-body-small);
  border-radius: 0.25rem;
}

/* COLOR
 -------------------- */

:host(.tag-grey) {
  color: var(--road-grey-30);
  background-color: var(--road-grey-85);
}

:host(.tag-grey.tag-grey-contrast) {
  color: var(--road-on-primary);
  background-color: var(--road-grey-40);
}

:host(.tag-yellow) {
  color: var(--road-yellow-mikado-20);
  background-color: var(--road-yellow-mikado-90);
}

:host(.tag-yellow.tag-yellow-contrast) {
  color: var(--road-yellow-mikado-20);
  background-color: var(--road-yellow-mikado-60);
}

:host(.tag-red) {
  color: var(--road-red-pepper-30);
  background-color: var(--road-red-pepper-95);
}

:host(.tag-red.tag-red-contrast) {
  color: var(--road-on-primary);
  background-color: var(--road-red-pepper-60);
}

:host(.tag-violet) {
  color: var(--road-violet-electric-30);
  background-color: var(--road-violet-electric-95);
}

:host(.tag-violet.tag-violet-contrast) {
  color: var(--road-on-primary);
  background-color: var(--road-violet-electric-60);
}

:host(.tag-blue) {
  color: var(--road-blue-klein-40);
  background-color: var(--road-blue-klein-95);
}

:host(.tag-blue.tag-blue-contrast) {
  color: var(--road-on-primary);
  background-color: var(--road-blue-klein-60);
}

:host(.tag-green) {
  color: var(--road-green-monstera-30);
  background-color: var(--road-green-monstera-95);
}

:host(.tag-green.tag-green-contrast) {
  color: var(--road-on-primary);
  background-color: var(--road-green-monstera-60);
}

/**
 * Hover state
 */

@media (any-hover: hover) {

  :host(.chip-outline:hover) {
    border-color: var(--road-outline-variant);
  }

  :host(.chip-secondary:hover) {
    background: var(--road-button-primary-variant);
  }

  :host(.chip-secondary:hover) .chip-close {
    color: var(--road-primary);
  }
}

/**
 * Focus state
 */

:host(.chip-outline:hover) {
  border-color: var(--road-outline-variant);
}

:host(.chip-secondary.focus-visible) {
  background: var(--road-button-primary-variant);
}
